<?php

namespace App\Http\Requests\ItemMaster;

use Illuminate\Foundation\Http\FormRequest;

class ItemPageStoreRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'page_name' => 'required|string|max:255',
            'item_type' => 'required|in:FG,PT,SM,RM,CS',
            'absolute_path' => 'nullable|string|max:500',
        ];
    }
}
